Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY > Class Template Reference

The is a special caching strategy which doesnt have the purging feature. More...

`#include <Caching_Strategies_T.h>`

Collaboration diagram for ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >:

[legend]
List of all members.

## Public Types
typedef ATTRIBUTES | CACHING_ATTRIBUTES
## Public Methods
ATTRIBUTES | attributes (void)
| Accessor method.
double | purge_percent (void)
| Get the percentage of entries to purge.
void | purge_percent (double percentage)
| Set the percentage of entries to purge.
int | notify_bind (int result, const ATTRIBUTES &attr)
| Notification for an item getting bound into the cache.
int | notify_find (int result, ATTRIBUTES &attr)
int | notify_unbind (int result, const ATTRIBUTES &attr)
int | notify_trybind (int result, ATTRIBUTES &attr)
int | notify_rebind (int result, const ATTRIBUTES &attr)
| Notification for an item getting bound again into the cache.
CACHING_UTILITY & | caching_utility (void)
| Purge the cache.
void | dump (void) const
| Dumps the state of the object.
## Private Attributes
CACHING_UTILITY | caching_utility_

## Detailed Description

### template<class ATTRIBUTES, class CACHING_UTILITY>
class ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >

The is a special caching strategy which doesnt have the purging feature.

No purging provided. To be used when purging might be too expensive an operation.

## Member Typedef Documentation

template<class ATTRIBUTES, class CACHING_UTILITY>
typedef ATTRIBUTES ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::CACHING_ATTRIBUTES

## Member Function Documentation

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE ATTRIBUTES ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::attributes | ( | void |  | ) |

| Accessor method.

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE CACHING_UTILITY & ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::caching_utility | ( | void |  | ) |

| Purge the cache.

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE void ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::dump | ( | void |  | ) | const

| Dumps the state of the object.

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE int ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::notify_bind | ( | int | result,
|  | const ATTRIBUTES & | attr
| ) |

| Notification for an item getting bound into the cache.

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE int ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::notify_find | ( | int | result,
|  | ATTRIBUTES & | attr
| ) |

| This method acts as a notification about the CONTAINERs find method call

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE int ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::notify_rebind | ( | int | result,
|  | const ATTRIBUTES & | attr
| ) |

| Notification for an item getting bound again into the cache.

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE int ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::notify_trybind | ( | int | result,
|  | ATTRIBUTES & | attr
| ) |

| This method acts as a notification about the CONTAINERs trybind method call

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE int ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::notify_unbind | ( | int | result,
|  | const ATTRIBUTES & | attr
| ) |

| This method acts as a notification about the CONTAINERs unbind method call

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE void ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::purge_percent | ( | double | percentage | ) |

| Set the percentage of entries to purge.

template<class ATTRIBUTES, class CACHING_UTILITY>
ACE_INLINE double ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::purge_percent | ( | void |  | ) |

| Get the percentage of entries to purge.

## Member Data Documentation

template<class ATTRIBUTES, class CACHING_UTILITY>
CACHING_UTILITY ACE_Null_Caching_Strategy< ATTRIBUTES, CACHING_UTILITY >::caching_utility_`[private]`

| This is the helper class which will decide and expunge entries from the cache.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Caching_Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Caching_Strategies_T.i